Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class TemplatesHandlerImpl

    java.lang.Object
      |
      +--com.icl.saxon.ContentEmitter
            |
            +--com.icl.saxon.TemplatesHandlerImpl

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.LexicalHandler, javax.xml.transform.sax.TemplatesHandler

public class TemplatesHandlerImpl
extends ContentEmitter
implements javax.xml.transform.sax.TemplatesHandler

TemplatesHandlerImpl implements the javax.xml.transform.sax.TemplatesHandler interface. It acts as a ContentHandler which receives a stream of SAX events representing a stylesheet, and returns a Templates object that represents the compiled form of this stylesheet.

Constructor Summary
`protected` | `TemplatesHandlerImpl(TransformerFactoryImpl factory)` Create a TemplatesHandlerImpl and initialise variables.

Method Summary
`java.lang.String` | `getSystemId()` Get the systemId of the document
`javax.xml.transform.Templates` | `getTemplates()` Get the Templates object to used for a transformation
`void` | `setSystemId(java.lang.String url)` Set the SystemId of the document

Methods inherited from class com.icl.saxon.ContentEmitter
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, setEmitter, setNamePool, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Constructor Detail

### TemplatesHandlerImpl

    protected TemplatesHandlerImpl(TransformerFactoryImpl factory)

  Create a TemplatesHandlerImpl and initialise variables. The constructor is protected, because the Filter should be created using newTemplatesHandler() in the SAXTransformerFactory class

Method Detail

### getTemplates

    public javax.xml.transform.Templates getTemplates()

  Get the Templates object to used for a transformation

  Specified by:
    `getTemplates` in interface `javax.xml.transform.sax.TemplatesHandler`

### setSystemId

    public void setSystemId(java.lang.String url)

  Set the SystemId of the document

  Specified by:
    `setSystemId` in interface `javax.xml.transform.sax.TemplatesHandler`

### getSystemId

    public java.lang.String getSystemId()

  Get the systemId of the document

  Specified by:
    `getSystemId` in interface `javax.xml.transform.sax.TemplatesHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD